package com.antoniotorres;

import java.io.File;

public class MiDir {
	enum UnidadMedida {
        BYTE, KB, MB, GB, TB, PB, EB, ZB, YB;
		
		public UnidadMedida next() {
            UnidadMedida[] unidades = UnidadMedida.values();
            int ordinal = this.ordinal();
            ordinal = ++ordinal % unidades.length;
            return unidades[ordinal];
        }
		
		@Override
        public String toString() {
            switch (this) {
                case BYTE:
                    return "bytes";
                case KB:
                    return "KB";
                case MB:
                    return "MB";
                case GB:
                    return "GB";
                case TB:
                    return "TB";
                case PB:
                    return "PB";
                case EB:
                    return "EB";
                case ZB:
                    return "ZB";
                case YB:
                    return "YB";
            }
            return "";
        }
    }
	
	public static void main(String [] args) {
		
		System.out.println("PERMISOS TIPO\t\tTAMAÑO\t\t\tNOMBRE");
		listarDirectorio("C:\\Users\\Anto.LAPTOP-CR44LNOV\\Desktop\\PMDM");
		
		/*System.out.println("INFORMACION SOBRE FICHEROS");
		File f = new File(".");
		
		String[] archivos = f.list();
		for (int i = 0; i < archivos.length; i++) {
			System.out.println(archivos[i]);
		}*/
		
	}
	
	
	public static void listarDirectorio(String directorio) {
        File f1 = new File(directorio);
        File[] ficheros = f1.listFiles();
        UnidadMedida unidad;
        for(int i = 0; i < ficheros.length; i++) {
            unidad = UnidadMedida.BYTE;
            String nombre = ficheros[i].getName();
            char tipo = ficheros[i].isDirectory() ? 'd' : 'f';
            double size = ficheros[i].length();
            while(size > 1024) {
                size = size / 1024;
                unidad = unidad.next();
            }
            String permisos = ficheros[i].canRead() ? "r" : "-";
            permisos += ficheros[i].canWrite() ? "w" : "-";
            permisos += ficheros[i].canExecute() ? "x" : "-";
            System.out.printf(" %-3s \t %c %15.2f %-6s \t %-20s\n",permisos, tipo, size, unidad.toString(), nombre);
        }
    }
	
}
